TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get multisig wallets

GET
/api/v3/multisig/wallets

Query multisig contracts that match the specified filters, optionally including their orders.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address?array<string>

Multisig contract address in any form. Maximum: 1024 addresses.

wallet_address?array<string>

Address of a signer or proposer wallet in any form. Maximum: 1024 addresses.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

sort?string

Sort multisigs by last_transaction_lt.

include_orders?boolean

Include multisig orders.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/multisig/wallets"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "multisigs": [
    {
      "address": "string",
      "code_hash": "string",
      "data_hash": "string",
      "last_transaction_lt": "0",
      "next_order_seqno": "string",
      "orders": [
        {
          "actions": [
            {
              "body_raw": [
                0
              ],
              "destination": "string",
              "error": "string",
              "parsed": true,
              "parsed_body": null,
              "parsed_body_type": "string",
              "send_mode": 0,
              "value": "string"
            }
          ],
          "address": "string",
          "approvals_mask": "string",
          "approvals_num": 0,
          "code_hash": "string",
          "data_hash": "string",
          "expiration_date": 0,
          "last_transaction_lt": "0",
          "multisig_address": "string",
          "order_boc": "string",
          "order_seqno": "string",
          "sent_for_execution": true,
          "signers": [
            "string"
          ],
          "threshold": 0
        }
      ],
      "proposers": [
        "string"
      ],
      "signers": [
        "string"
      ],
      "threshold": 0
    }
  ]
}
{
  "code": 0,
  "error": "string"
}